Subject: Re: bug#30190: 27.0.50; term run in line mode shows user passwords

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Jun 2018 05:44:08 +0300

> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 20 Jun 2018 19:28:32 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I'm for fixing this in Emacs 26.2, but I still don't think I
> > understand why the latest patch proposed in the discussion of this bug
> > needs to "steal" so much from comint.el?
> >
> > Also, why does term-watch-for-password-prompt need to be invoked via a
> > hook?
> 
> I don't these things are really required; as far as I understand, Tino
> did it that way in order to be safer: the "stealing" is to avoid loading
> comint.el, and using the hook is to keep the code closer to the already
> working example it's being copied from.

Why is it a problem to load comint?  Either in this case or even
always?

As for the hook: it looks strange to me to use hooks for this purpose,
since IMO we are supposed to refrain from doing that as much as
possible.